> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/block-trading/cancel-all-rfqs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Cancel all RFQs POST https://www.okx.com/api/v5/rfq/cancel-all-rfqs Cancel all of the user's currently active RFQs in a single request. Reference: https://okx-demo.ferndocs.com/api/api-reference/block-trading/cancel-all-rfqs ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5RfqCancelAllRfqsPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5RfqCancelAllRfqsPostResponsesContentApplicationJsonSchemaDataItems - `ts` (string, optional) — Timestamp at which all RFQs were cancelled, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "ts": "1697026383085" } ] } ``` **SDK Code** ```python blockTrading_cancelAllRfqs_example import requests url = "https://www.okx.com/api/v5/rfq/cancel-all-rfqs" headers = {"OK-ACCESS-KEY": ""} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript blockTrading_cancelAllRfqs_example const url = 'https://www.okx.com/api/v5/rfq/cancel-all-rfqs'; const options = {method: 'POST', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go blockTrading_cancelAllRfqs_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/rfq/cancel-all-rfqs" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby blockTrading_cancelAllRfqs_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/rfq/cancel-all-rfqs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java blockTrading_cancelAllRfqs_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/rfq/cancel-all-rfqs") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php blockTrading_cancelAllRfqs_example request('POST', 'https://www.okx.com/api/v5/rfq/cancel-all-rfqs', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp blockTrading_cancelAllRfqs_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/rfq/cancel-all-rfqs"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift blockTrading_cancelAllRfqs_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rfq/cancel-all-rfqs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```